# Functor Trie.Make

    module Make: functor (T : Key) -> S
      with type Key.t = T.t
      with type Part.t = T.Part.t

Parameters:

`T` | : | `Key`

    module Key: sig .. end

    module Part: sig .. end

    type t =

`|` | `Node of `(bool * t) Part.Table.t``

    val create : unit -> t

    val contains : t -> Key.t -> bool

    val add : t -> Key.t -> unit

    val remove : t -> Key.t -> unit

    val render_as_regexp : t ->
           capture_parts:bool -> to_quoted_string:(Part.t -> string) -> string